<?php
/*
	Moduł do budowy struktur menu (przykladowo) stron w systemie CMS CoolPage
	
	Funkcja:
	- weryfikacja czy aktualna podstrona jest strona glowna
	- wyswietlanie podrzędnych stron
	- wyswietlanie nadrzędnych stron
	
	Wersja: 1.0
	
	Ostatnia zmiana: 2009.11.06
	
   Planowana funkcjonalnosc:	
   - wyswietlanie jedynie glownych podstron - lista (nazwy, aliasy, liczba podstron?)	
   - lista podstron do wybranej podstrony
   - lista podstron do wybranej podstrony kolejny poziom, poziomy?
   - lista podstron nadrzednych do obecnej podstrony		
		
*/

	$ile_podstron_struktury = mysql_result(mysql_query("SELECT COUNT(1) FROM ".$db_pref."strona WHERE typ='struktura';"),0);
	if($ile_podstron_struktury<>0){
			
		$wiersz = mysql_fetch_array(mysql_query("SELECT id,typ,podstrona FROM ".$db_pref."strona WHERE alias='".$go."' LIMIT 1;"));

		$id_wybranej_strony = $wiersz['id'];
		$podstrona_wybranej_strony = $wiersz['podstrona'];
		
		// Sprawdzam na którym poziomie jest obecna strona
		$licznik_poziomow = 0;
		if($podstrona_wybranej_strony<>0){
			$temp_podstrona = $podstrona_wybranej_strony;
			do {
				$licznik_poziomow++;
				$poziom = mysql_fetch_array(mysql_query("SELECT podstrona FROM ".$db_pref."strona WHERE id='".$temp_podstrona."';"));
				$temp_podstrona = $poziom['podstrona'];			
			} while ($temp_podstrona <> 0);
		}

		for($x=($licznik_poziomow+1);$x>=0;$x--){
			$poziom_menu_temp = NULL;
			$sql = mysql_query("SELECT id,nazwa_strony,podstrona,alias FROM ".$db_pref."strona WHERE typ='struktura' and podstrona='".$id_wybranej_strony."' ORDER BY kiedy_dodana ASC;");
			while($row = mysql_fetch_array($sql)){
				if($row['id']==$temp){
					$zaznaczenie = 1;
				}else{
					$zaznaczenie = 0;
				}
				$poziom_menu_temp[] = array('id' => $row['id'], 'nazwa_strony' => $row['nazwa_strony'], 'podstrona' => $row['podstrona'], 'alias' => $row['alias'], 'zaznaczenie' => $zaznaczenie);
			}
			$tpl->assign('poziom_menu_'.$x,$poziom_menu_temp);
			$temp = $id_wybranej_strony;
			$poziom = mysql_fetch_array(mysql_query("SELECT podstrona FROM ".$db_pref."strona WHERE id='".$id_wybranej_strony."';"));
			$id_wybranej_strony = $poziom['podstrona'];					
		}
		
	}
?>